import { ConfigProvider, Table } from 'antd';
import styles from './index.less';
import BlueTable from '@/components/BlueTable'
export default () => {
  const dataSource = [
    {
      key: '1',
      name: '胡彦斌',
      age: 32,
      address: '西湖区湖底公园1号',
    },
    {
      key: '2',
      name: '胡彦祖',
      age: 42,
      address: '西湖区湖底公园1号',
    },
    {
      key: '3',
      name: '胡彦祖',
      age: 42,
      address: '西湖区湖底公园1号',
    },
    {
      key: '4',
      name: '胡彦祖',
      age: 42,
      address: '西湖区湖底公园1号',
    },
  ];

  const columns: any = [
    {
      title: '排名',
      dataIndex: 'name',
      key: 'name',
      width: 100,
      align: 'center',
    },
    {
      title: '区市县',
      dataIndex: 'age',
      key: 'age',
      width: 150,
      align: 'center',
    },
    {
      title: '待解决',
      dataIndex: 'address',
      key: 'address',
      width: 150,
      align: 'center',
    },
    {
      title: '共计',
      dataIndex: 'address',
      key: 'address',
      width: 150,
      align: 'center',
    },
    {
      title: '待解决',
      dataIndex: 'address',
      key: 'address',
      width: 150,
      align: 'center',
    },
    {
      title: '超期100天以上',
      dataIndex: 'address',
      key: 'address',
      width: 200,
      align: 'center',
    },
    {
      title: '超期30-100天',
      dataIndex: 'address',
      key: 'address',
      width: 200,
      align: 'center',
    },
    {
      title: '超期30天已内',
      dataIndex: 'address',
      key: 'address',
      width: 200,
      align: 'center',
    },
  ];
  return (
    <div className={styles.container}>
      {/* <Table
          dataSource={dataSource}
          columns={columns}
          rowClassName={(record, index) => {
            if (index % 2 === 0) {
              return styles.rowClassName1;
            } else {
              return styles.rowClassName;
            }
          }}
        /> */}
      <BlueTable
        scroll={{ y: 600 }}
        rowKey={'id'}
        columns={columns}
        dataSource={dataSource}
        pagination={{
          total: 10,
          showSizeChanger: true,
          showTotal: (total) => `共 ${total} 条`,
          onChange: (pageNum, pageSize) => {
            // setParams({ pageNum, pageSize, type: 'list' });
          },
          current: 1,
        }}
      />
    </div>
  );
};
