import { Flex } from 'antd'
import PieCharts from '@/components/PieCharts';
import styles from './index.less';
import OutTimeItem from './OutTimeItem';
import BaseCard from '@/pages/Common/components/BaseCard';

const ExceedTimeCard = () => {
  return (
    <BaseCard 
      title="超期统计"
      style={{
        paddingTop: '20px',
      }}
    >
      <Flex className={styles.content}>
        <PieCharts style={{ width: 150, height: 150 }} />
        <div>
          <OutTimeItem />
          <OutTimeItem />
          <OutTimeItem />
        </div>
      </Flex>
    </BaseCard>
  );
};

export default ExceedTimeCard
