import styles from './index.less';

const AnalysisItem = ({ item, color }: { item: any, color?: string }) => {
  return (
    <div className={styles.container}>
      <div className={styles.left}>
        <div className={styles.dot} style={{ backgroundColor: color || '#F4A348' }}></div>
        <span>{item.name}</span>
      </div>
      {/* <span><span className={styles.count}>{item.value}</span>件</span> */}
      <span><span className={styles.count}>{item.percent.replace('%', '')}</span>%</span>
    </div>
  );
}

export default AnalysisItem