import { ClockCircleFilled, EnvironmentFilled } from '@ant-design/icons';
import styles from './index.less';
export default ({ hideTag,style,item }: { hideTag?: boolean,style?:React.CSSProperties,item?:{
  
} }) => {
  return (
    <div className={styles.container} style={style}>
      <img src="https://xct.cdhncy.cn/file/zgf/2024/10/10/e1d7cf31199b47528085fffd93af2bee_1728549037097.jpg" alt="" className={styles.img} />
      <div className={styles.descContent}>
        <div className={styles.title}>过街天桥破损</div>
        {!hideTag && (
          <div className={styles.tagContainer}>
            <div className={styles.tag}>待派遣</div>
            <div
              className={styles.tag}
              style={{ backgroundColor: 'rgba(194, 195, 195, 0.23)', marginLeft: 8, color: '#E3E4E4' }}
            >
                12345
            </div>
          </div>
        )}
        <div className={styles.address}>
          <span style={{ color: '#CBEDFF' }}>上报时间：</span>
          <span>2024.08.30日 10:00:00</span>
        </div>
        <div className={styles.address} style={{ marginTop: 5 }}>
          <span style={{ color: '#CBEDFF' }}>发生位置：</span>
          <span>成都市锦华路二段123号</span>
        </div>
      </div>
    </div>
  );
};
